<?php
/**
 * Created by PhpStorm.
 * User: lfq
 * Date: 2019/1/28
 * Time: 13:43
 */

namespace App\Models;


class Rgame_subclass extends BaseModel
{
    protected $table = "rgame_subclass";
    public $timestamps = false;

    function getlist($list = 10, $where = '') {//获取列表
        $data = $this->orderBy('id', 'desc');
        if (!empty($where) && is_array($where)) {
            $data = $data->where($where);
        }
        $data = $data->paginate($list);

        if (!$data) {
            return -4010010022; //没有数据
        }
        return $data->toArray();
    }

}